> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel runs

> Cancel running orchestration runs



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /orchestration/runs/cancel
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /orchestration/runs/cancel:
    post:
      tags:
        - Orchestration - Runs
      summary: Cancel runs
      description: Cancel running orchestration runs
      requestBody:
        required: true
        content:
          application/json:
            schema:
              title: Request body
              description: Request body schema.
              anyOf:
                - type: object
                  properties:
                    workflowUuid:
                      title: Workflow UUID
                      description: Workflow identifier.
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                    uuids:
                      title: UUIDs
                      description: Run identifiers to cancel.
                      type: array
                      items:
                        type: string
                  required:
                    - workflowUuid
                    - uuids
                  additionalProperties: false
                - type: object
                  properties:
                    workflowUuid:
                      title: Workflow UUID
                      description: Workflow identifier.
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                    recordId:
                      title: Record ID
                      description: Record ID to filter by.
                      type: string
                    recordTitle:
                      title: Record title
                      description: Record title to filter by.
                      type: string
                    recordTitleOrId:
                      title: Record title or ID
                      description: Record title or ID to filter by.
                      type: string
                    releaseUuid:
                      title: Release UUID
                      description: Release identifier to filter by.
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                    batchUuid:
                      title: Batch UUID
                      description: Batch identifier to filter by.
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                    parentBatchUuid:
                      title: Parent batch UUID
                      description: Parent batch identifier to filter by.
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                    parentUuid:
                      title: Parent UUID
                      description: Parent run identifier to filter by.
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                    parentNodeUuid:
                      title: Parent node UUID
                      description: Parent node identifier to filter by.
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                    isGroupParent:
                      title: Is group parent
                      description: Whether to select group parent runs.
                      type: boolean
                    executionsFilter:
                      title: Executions filter
                      description: Execution filters for matching runs.
                      type: object
                      properties:
                        conjonction:
                          type: string
                          enum:
                            - or
                            - and
                        groups:
                          type: array
                          items:
                            type: object
                            properties:
                              conjonction:
                                type: string
                                enum:
                                  - or
                                  - and
                              conditions:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: node
                                    nodeSlug:
                                      type: string
                                    status:
                                      type: string
                                      enum:
                                        - absent
                                        - pending
                                        - success
                                        - error
                                    value:
                                      type: string
                                  required:
                                    - kind
                                    - nodeSlug
                                    - status
                            required:
                              - conjonction
                              - conditions
                      required:
                        - conjonction
                        - groups
                    createdAfter:
                      title: Created after
                      description: Include runs created after this timestamp.
                      type: string
                    createdBefore:
                      title: Created before
                      description: Include runs created before this timestamp.
                      type: string
                  required:
                    - workflowUuid
                  additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties: {}
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````